{* /*
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 *
 * With the purchase or the installation of the software in your application
 *
 * you accept the licence agreement.
 *
 *
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Banca Sella S.p.A
 *  @copyright 1996-2024 Banca Sella S.p.A
 *  @license   LICENSE.txt
 */ *}
<form id="apppago_priv_form" method="post" action="{$action}">
    <p>Inserisci il tuo codice fiscale:</p>

    <div style="margin-top: 1rem;">
        <input type="hidden" name="iban" id="iban" value={$iban_allowed} />
        <label for="cf">Codice Fiscale:</label>
        <input type="text" name="cf" id="cf" value="{$apppago_cf}" />
        <div id="apppago_errors" class="alert alert-danger" style="display: {if $apppago_errors|trim neq ''}block{else}none{/if}">
                {$apppago_errors}
        </div>

    </div>
</form>

{literal}
<script>
    // on document ready alert error if there is one
    document.addEventListener('DOMContentLoaded', function() {
        var error = document.getElementById('apppago_errors');
        if (error.innerHTML.trim() !== '') {
            alert(error.innerHTML);
        }
    });

    // on input in the cf id field, we check if the value is valid as user write it
    document.getElementById('cf').addEventListener('keyup', function() {
        var cf = document.getElementById('cf').value;
        var error = document.getElementById('apppago_errors');

        var regex = /^[A-Z]{6}[0-9]{2}[A-Z][0-9]{2}[A-Z][0-9]{3}[A-Z]$/;
        if (regex.test(cf)) {
            error.style.display = 'none';
            error.innerHTML = '';
        } else {
            error.style.display = 'block';
            error.innerHTML = 'Codice Fiscale non valido';
        }
    });
</script>
{/literal}